Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.antlr
Class HtmlSeamTextParser

    java.lang.Object
      antlr.LLkParser
          org.richfaces.antlr.HtmlSeamTextParser

All Implemented Interfaces:
  HtmlSeamTextParserTokenTypes

    public class HtmlSeamTextParser

extends antlr.LLkParser
implements HtmlSeamTextParserTokenTypes

Nested Class Summary
`class` | `HtmlSeamTextParser.HtmlRecognitionException`

Field Summary
`static java.lang.String[]` | `_tokenNames`
`static BitSet` | `_tokenSet_0`
`protected java.util.Set<java.lang.String>` | `formattedHtmlSeamTextElements`
`protected java.util.Set<java.lang.String>` | `htmlSeamTextElements`
`boolean` | `preformatted`
`protected java.util.Set<java.lang.String>` | `seamTextSymbols`
`protected java.util.Set<java.lang.String>` | `simpleHtmlSeamTextElements`
`java.lang.StringBuilder` | `valueCollector`

Fields inherited from interface org.richfaces.antlr.HtmlSeamTextParserTokenTypes
`ALPHANUMERICWORD, AMPERSAND, BACKTICK, BAR, CLOSE, DOUBLEQUOTE, EOF, EQ, ESCAPE, ESCAPED_AMP, ESCAPED_GT, ESCAPED_LT, ESCAPED_NBSP, ESCAPED_QOUT, GT, HASH, HAT, LT, NEWLINE, NULL_TREE_LOOKAHEAD, OPEN, PLUS, PUNCTUATION, SINGLEQUOTE, SLASH, SPACE, STAR, TWIDDLE, UNDERSCORE, UNICODEWORD`

Constructor Summary
`` | `HtmlSeamTextParser(TokenBuffer tokenBuf)`
`protected` | `HtmlSeamTextParser(TokenBuffer tokenBuf, int k)`

Method Summary
`void` | `attribute()`
`void` | `attributeValue()`
`void` | `beforeBody()`
`void` | `body()`
`java.lang.String` | `checkHeaderMarkup()`
`java.lang.String` | `checkListItemMarkup()`
`java.lang.String` | `checkListMarkup()`
`java.lang.String` | `checkParagraphMarkup()`
`void` | `closeTagWithBody()`
`void` | `closeTagWithNoBody()`
`java.lang.String` | `createSeamTextHeader(Token token)`
`java.lang.String` | `createSeamTextList(Token token, java.util.Stack<Token> htmlElementStack)`
`void` | `eof()`
`java.lang.String` | `escapeSeamText(Token token, boolean preformatted)`
`java.lang.String` | `getSimpleSeamText(Token token)`
`void` | `html()`
`void` | `htmlSpecialChars()`
`boolean` | `isFormattedHtmlSeamTextElement(Token element)`
`boolean` | `isHeader(Token token)`
`boolean` | `isLink(Token token)`
`boolean` | `isList(Token token)`
`boolean` | `isListItem(Token token)`
`boolean` | `isParagraph(Token token)`
`boolean` | `isPlainHtmlRequired(Token name, java.util.Stack<Token> htmlElementStack)`
`boolean` | `isPreFormattedElement(Token element)`
`boolean` | `isSeamTextElement(Token element)`
`boolean` | `isSimpleSeamTextElement(Token element)`
`void` | `newline()`
`void` | `newlineOrEof()`
`void` | `openTag()`
`void` | `plain()`
`void` | `punctuation()`
`void` | `seamCharacters()`
`void` | `setSanitizer(Sanitizer sanitizer)`
`void` | `space()`
`void` | `specialChars()`
`void` | `startRule()`
`void` | `text()`
`java.lang.String` | `toString()`
`void` | `word()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### preformatted

    public boolean preformatted

### seamTextSymbols

    protected java.util.Set<java.lang.String> seamTextSymbols

### htmlSeamTextElements

    protected java.util.Set<java.lang.String> htmlSeamTextElements

### simpleHtmlSeamTextElements

    protected java.util.Set<java.lang.String> simpleHtmlSeamTextElements

### formattedHtmlSeamTextElements

    protected java.util.Set<java.lang.String> formattedHtmlSeamTextElements

### valueCollector

    public java.lang.StringBuilder valueCollector

### _tokenNames

    public static final java.lang.String[] _tokenNames

### _tokenSet_0

    public static final BitSet _tokenSet_0

Constructor Detail

### HtmlSeamTextParser

    protected HtmlSeamTextParser(TokenBuffer tokenBuf,
                                 int k)

### HtmlSeamTextParser

    public HtmlSeamTextParser(TokenBuffer tokenBuf)

Method Detail

### setSanitizer

    public void setSanitizer(Sanitizer sanitizer)

### toString

    public java.lang.String toString()

### isLink

    public boolean isLink(Token token)

### isHeader

    public boolean isHeader(Token token)

### createSeamTextHeader

    public java.lang.String createSeamTextHeader(Token token)
                                          throws SemanticException

  Throws:
    `SemanticException`

### isParagraph

    public boolean isParagraph(Token token)

### checkHeaderMarkup

    public java.lang.String checkHeaderMarkup()
                                       throws TokenStreamException

  Throws:
    `TokenStreamException`

### checkParagraphMarkup

    public java.lang.String checkParagraphMarkup()
                                          throws TokenStreamException

  Throws:
    `TokenStreamException`

### checkListMarkup

    public java.lang.String checkListMarkup()
                                     throws TokenStreamException

  Throws:
    `TokenStreamException`

### checkListItemMarkup

    public java.lang.String checkListItemMarkup()
                                         throws TokenStreamException

  Throws:
    `TokenStreamException`

### isList

    public boolean isList(Token token)

### isListItem

    public boolean isListItem(Token token)

### createSeamTextList

    public java.lang.String createSeamTextList(Token token,
                                               java.util.Stack<Token> htmlElementStack)
                                        throws SemanticException

  Throws:
    `SemanticException`

### isPlainHtmlRequired

    public boolean isPlainHtmlRequired(Token name,
                                       java.util.Stack<Token> htmlElementStack)
                                throws SemanticException

  Throws:
    `SemanticException`

### getSimpleSeamText

    public java.lang.String getSimpleSeamText(Token token)
                                       throws SemanticException,
                                              TokenStreamException

  Throws:
    `SemanticException`
    `TokenStreamException`

### escapeSeamText

    public java.lang.String escapeSeamText(Token token,
                                           boolean preformatted)
                                    throws TokenStreamException

  Throws:
    `TokenStreamException`

### isSeamTextElement

    public boolean isSeamTextElement(Token element)

### isSimpleSeamTextElement

    public boolean isSimpleSeamTextElement(Token element)

### isFormattedHtmlSeamTextElement

    public boolean isFormattedHtmlSeamTextElement(Token element)

### isPreFormattedElement

    public boolean isPreFormattedElement(Token element)

### startRule

    public final void startRule()
                         throws RecognitionException,
                                TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### text

    public final void text()
                    throws RecognitionException,
                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### eof

    public final void eof()
                   throws RecognitionException,
                          TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### seamCharacters

    public final void seamCharacters()
                              throws RecognitionException,
                                     TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### plain

    public final void plain()
                     throws RecognitionException,
                            TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### html

    public final void html()
                    throws RecognitionException,
                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### htmlSpecialChars

    public final void htmlSpecialChars()
                                throws RecognitionException,
                                       TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### word

    public final void word()
                    throws RecognitionException,
                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### punctuation

    public final void punctuation()
                           throws RecognitionException,
                                  TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### specialChars

    public final void specialChars()
                            throws RecognitionException,
                                   TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### space

    public final void space()
                     throws RecognitionException,
                            TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### newline

    public final void newline()
                       throws RecognitionException,
                              TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### newlineOrEof

    public final void newlineOrEof()
                            throws RecognitionException,
                                   TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### openTag

    public final void openTag()
                       throws RecognitionException,
                              TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### attribute

    public final void attribute()
                         throws RecognitionException,
                                TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### beforeBody

    public final void beforeBody()
                          throws RecognitionException,
                                 TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### body

    public final void body()
                    throws RecognitionException,
                           TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### closeTagWithBody

    public final void closeTagWithBody()
                                throws RecognitionException,
                                       TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### closeTagWithNoBody

    public final void closeTagWithNoBody()
                                  throws RecognitionException,
                                         TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

### attributeValue

    public final void attributeValue()
                              throws RecognitionException,
                                     TokenStreamException

  Throws:
    `RecognitionException`
    `TokenStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.